Legacy

Legacy: Create encounter

Body·
required
application/json

Encounter create payload.

  • benefits_assigned_to_provider
    Type: boolean
    required
  • billable_status
    Type: stringenum
    required
    values
    • BILLABLE
    • NOT_BILLABLE
  • billing_provider
    Type: object
    required
  • diagnoses
    Type: array object[]
    required
  • external_id
    Type: string
    min length:  
    1
    required
  • patient
    Type: object
    required
  • patient_authorized_release
    Type: boolean
    required
  • place_of_service_code
    Type: stringenum
    required
    values
    • 10
    • 11
    • 12
    • 13
    • 14
  • provider_accepts_assignment
    Type: boolean
    required
  • rendering_provider
    Type: object
    required
  • responsible_party
    Type: stringenum
    required
    values
    • INSURANCE_PAY
    • SELF_PAY
    • UNKNOWN
  • accident_date
    Type: string
Responses
  • application/json
  • application/json
  • application/json
  • 401

    Missing or invalid API key.

  • application/json
Request Example for post/legacy/encounters
curl https://api.withbranches.com/legacy/encounters \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "external_id": "",
  "patient_authorized_release": true,
  "benefits_assigned_to_provider": true,
  "provider_accepts_assignment": true,
  "billable_status": "BILLABLE",
  "responsible_party": "INSURANCE_PAY",
  "place_of_service_code": "10",
  "patient": {
    "first_name": "",
    "last_name": "",
    "gender": "male",
    "external_id": "",
    "date_of_birth": "",
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    },
    "phone_numbers": [],
    "phone_consent": true,
    "email": "",
    "email_consent": true,
    "auto_charge_consent": true,
    "non_insurance_payers": [
      ""
    ],
    "non_insurance_payers_info": []
  },
  "billing_provider": {
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    },
    "tax_id": "",
    "npi": "",
    "first_name": null,
    "last_name": null,
    "organization_name": null,
    "taxonomy_code": null,
    "provider_commercial_license_type": null,
    "secondary_identification": null
  },
  "rendering_provider": {
    "npi": "",
    "first_name": null,
    "last_name": null,
    "organization_name": null,
    "taxonomy_code": null,
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    },
    "secondary_identification": null
  },
  "referring_provider": {
    "npi": "",
    "first_name": null,
    "last_name": null,
    "organization_name": null,
    "taxonomy_code": null,
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    },
    "secondary_identification": null
  },
  "diagnoses": [
    {
      "code_type": "ABF",
      "code": "",
      "name": "",
      "present_on_admission_indicator": "YES"
    }
  ],
  "service_lines": [
    {
      "procedure_code": "",
      "quantity": 1,
      "units": "MJ",
      "diagnosis_pointers": [
        0
      ],
      "modifiers": [
        ""
      ],
      "charge_amount_cents": 1,
      "description": "",
      "date_of_service": "",
      "end_date_of_service": "",
      "place_of_service_code": "10",
      "has_epsdt_indicator": true,
      "has_family_planning_indicator": true,
      "drug_identification": null,
      "ordering_provider": null,
      "test_results": [],
      "note": "",
      "prior_authorization_number": "",
      "external_id": ""
    }
  ],
  "subscriber_primary": {
    "first_name": "",
    "last_name": "",
    "gender": "male",
    "patient_relationship_to_subscriber_code": "10",
    "insurance_card": {
      "member_id": "",
      "payer_name": "",
      "payer_id": "",
      "group_number": "",
      "plan_name": "",
      "plan_type": "",
      "insurance_type": "",
      "payer_plan_group_id": "",
      "payer_address": {
        "address1": "",
        "address2": "",
        "city": "",
        "state": "AA",
        "zip_code": "",
        "zip_plus_four_code": ""
      },
      "rx_bin": "",
      "rx_pcn": "",
      "image_url_front": "",
      "image_url_back": "",
      "emr_payer_crosswalk": "HEALTHIE",
      "payer_plan_group_name": "",
      "claim_filing_code": ""
    },
    "date_of_birth": "",
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    }
  },
  "subscriber_secondary": {
    "first_name": "",
    "last_name": "",
    "gender": "male",
    "patient_relationship_to_subscriber_code": "10",
    "insurance_card": {
      "member_id": "",
      "payer_name": "",
      "payer_id": "",
      "group_number": "",
      "plan_name": "",
      "plan_type": "",
      "insurance_type": "",
      "payer_plan_group_id": "",
      "payer_address": {
        "address1": "",
        "address2": "",
        "city": "",
        "state": "AA",
        "zip_code": "",
        "zip_plus_four_code": ""
      },
      "rx_bin": "",
      "rx_pcn": "",
      "image_url_front": "",
      "image_url_back": "",
      "emr_payer_crosswalk": "HEALTHIE",
      "payer_plan_group_name": "",
      "claim_filing_code": ""
    },
    "date_of_birth": "",
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    }
  },
  "subscriber_tertiary": {
    "first_name": "",
    "last_name": "",
    "gender": "male",
    "patient_relationship_to_subscriber_code": "10",
    "insurance_card": {
      "member_id": "",
      "payer_name": "",
      "payer_id": "",
      "group_number": "",
      "plan_name": "",
      "plan_type": "",
      "insurance_type": "",
      "payer_plan_group_id": "",
      "payer_address": {
        "address1": "",
        "address2": "",
        "city": "",
        "state": "AA",
        "zip_code": "",
        "zip_plus_four_code": ""
      },
      "rx_bin": "",
      "rx_pcn": "",
      "image_url_front": "",
      "image_url_back": "",
      "emr_payer_crosswalk": "HEALTHIE",
      "payer_plan_group_name": "",
      "claim_filing_code": ""
    },
    "date_of_birth": "",
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    }
  },
  "date_of_service": "",
  "end_date_of_service": "",
  "prior_authorization_number": null,
  "referral_number": "",
  "appointment_type": "",
  "additional_information": "",
  "tag_ids": [
    ""
  ],
  "schema_instances": [
    {
      "schema_id": "",
      "content": {}
    }
  ],
  "metadata": {},
  "existing_medications": [],
  "interventions": [],
  "pay_to_address": null,
  "synchronicity": null,
  "vitals": null,
  "service_authorization_exception_code": null,
  "admission_date": "",
  "discharge_date": "",
  "onset_of_current_illness_or_symptom_date": "",
  "last_menstrual_period_date": "",
  "delay_reason_code": null,
  "initial_referring_provider": null,
  "supervising_provider": null,
  "treating_provider": null,
  "service_facility": {
    "service_facility_id": "",
    "organization_name": "",
    "npi": "",
    "address": {
      "address1": "",
      "address2": "",
      "city": "",
      "state": "AA",
      "zip_code": "",
      "zip_plus_four_code": ""
    },
    "secondary_identification": "",
    "mammography_certification_number": ""
  },
  "clinical_notes": [],
  "billing_notes": [],
  "patient_histories": [],
  "guarantor": null,
  "external_claim_submission": null,
  "epsdt_referral": null,
  "claim_supplemental_information": [],
  "secondary_payer_carrier_code": "",
  "related_causes_information": null,
  "property_casualty_claim_number": "",
  "accident_date": "",
  "property_casualty_patient_identifier": null
}'
{
  "encounter_id": "string",
  "encounterId": "string",
  "duplicate": true
}